<?php

    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if (!$f_try_key) {
        $ERROR[] = "試着情報が見つかりません。";
    }

    //ポイントの確認
    if (!sizeof($ERROR)) {
        $fp = fopen(_WU_POINT_GET_URL."?user_code=".$user_code, "r");
        if (!$fp) {
            $ERROR[] = "ユーザーのポイント確認に失敗しました。";
        }
        else {
            while (!feof($fp)) {
                $user_point = fgets($fp, 1024);
            }
            fclose($fp);

            if (!validate_number($user_point)) {
                $ERROR[] = "ユーザーの所持ポイントが正しくありません。";
            }
        }
    }

    if (!sizeof($ERROR)) {
        //試着情報
        $return = $AVAFIT->get("avatar_call_temp", array("client_key" => $site_key,
                                                         "user_code"  => $user_code,   //
                                                         "sex"        => "",           //
                                                         "try_key"    => $f_try_key)); //
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $try = $return["value"];
            //試着アイテム一覧を取得
            $try_items = $try["ITEMS"];
        }

        for ($i = 0; $i < sizeof($try_items); $i++) {
            //保有していないアイテムのみを対象にする
            //if (!$try_items[$i]["IS_CLOSET"]) {
                //前の画面で購入チェックしたアイテムかを確認
                if (${"chk_".$try_items[$i]["KEY"]}) {
                    //最終的に購入するアイテムのキー
                    $buy_item_keys[] = $try_items[$i]["KEY"];
                    $sum_price += $try_items[$i]["PRICE"];
                }
            //}
        }

        // 20110125 k $buy_item_keysを確認。数量がない場合はエラーとする。
        // bot等、予期しないアクセスにより、不正にポイント処理が発生するを防ぐのに有効。
        if(!sizeof($buy_item_keys)){
            $ERROR[] = "購入アイテムの情報が見つかりません。";
        }

        // 20110125 k エラーがある場合はポイント減算処理をスキップする。
        if (!sizeof($ERROR)) {
            //●ここでポイント減算処理行う
            //サイト（番組）側のポイント減算処理ページを呼び出す
            if ($user_point >= $sum_price) {
                // 無料のアイテム（消費ポイント数「0」）を購入する場合は
                // 減算プログラムのつなぎ込みをスキップ。
                if($sum_price > 0){
                    $fp = fopen(_WU_POINT_USE_URL."?user_code=".$user_code."&use_point=".$sum_price, "r");
                    if (!$fp) {
                        $ERROR[] = "ユーザーのポイント利用報告に失敗しました。";
                    }
                    else {
                        while (!feof($fp)) {
                            $result_val = fgets($fp, 1024);
                        }
                        fclose($fp);

                        if ($result_val != "OK") {
                            $ERROR[] = "ユーザーのポイント減算処理に失敗しました。";
                        }
                    }
                }
                //ポイント減算処理が成功した場合のみアイテム追加
                if (!sizeof($ERROR)) {
                    //アイテム購入処理
                    $return = $AVAFIT->get("avatar_item_add_duplicate", array("client_key" => $site_key,
                                                                              "user_code"  => $user_code,     //
                                                                              "item_keys"  => $buy_item_keys, //
                                                                              "buy_point"  => $sum_price));   //
                    if (!$return["result"]) {
                        $ERROR[] = $return["error_shot"];
                    }

                    //「購入＋着用」ボタンを押した場合は、この時点で着用
                    if ($f_puton) {
                        $return = $AVAFIT->get("avatar_item_puton", array("client_key" => $site_key,
                                                                          "user_code"  => $user_code,     //
                                                                          "item_keys"  => $buy_item_keys, //
                                                                          "dyna_cond"  => ""));           //
                        if (!$return["result"]) {
                            $ERROR[] = $return["error_shot"];
                        }
                    }
                }
            }
        }
    }

    //再度ポイントの確認
    if (!sizeof($ERROR)) {
        $fp = fopen(_WU_POINT_GET_URL."?user_code=".$user_code, "r");
        if (!$fp) {
            $ERROR[] = "ユーザーのポイント確認に失敗しました。";
        }
        else {
            while (!feof($fp)) {
                $result_point = fgets($fp, 1024);
            }
            fclose($fp);

            if (!validate_number($result_point)) {
                $ERROR[] = "ユーザーの所持ポイントが正しくありません。";
            }
        }
    }

    // アバターTOPへ、リダイレクト
    if (!sizeof($ERROR)) {

        // 完了メッセージは転送先で表示させるため。
        // アクション後の転送先を設定。
        // パラメータを付加する
        $rslt = (!empty($f_puton)) ? "BUYPUTOK" : "BUYOK";
        // ドコモ不具合対策（http...と入れないとリダイレクトされないため）
        $goto  = "http://".$_SERVER["HTTP_HOST"]."/".str_replace($_SERVER["DOCUMENT_ROOT"],"",dirname(__FILE__))."/";
        $goto .= "avatar_top.php?".$params."&rslt=".$rslt."&unq=".uniqid("_");

        // リダイレクト
        // 「ob_end_clean();」をリダイレクト前に宣言して、バッファリングをクリア
        ob_end_clean();
        header ('Location: '.$goto);
        exit;
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>